OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000053OMNeT++examplespublic2009-03-10 13:132009-09-11 10:15
Reporterbalag2004 
Assigned Toandras 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.0rc1 
Target VersionFixed in Version4.1 
Summary0000053: Run Time Error : Error in module (L2Queue) Dynamic.rte41.queue[2] (id=258)
DescriptionRUNTIME ERROR. A cRuntimeError exception is about to be thrown, and you
requested (by setting debug-on-errors=true in the ini file) that errors
abort execution and break into the debugger.

You should now probably be running the simulation under gdb or another
debugger. The simulation kernel will now raise a SIGABRT signal which will
get you into the debugger. If you are not running under a debugger, you can
still use the core dump for post-mortem debugging. Once in the debugger,
view the call stack (in gdb: "bt" command) to see the context of the
runtime error.

<!> Error in module (L2Queue) Dynamic.rte41.queue[2] (id=258): No datarate channel found in the connection path between gates Dynamic.rte41.queue[2].line$o and Dynamic.rte43.queue[1].line$i.

TRAPPING on the exception above, due to a debug-on-errors=true configuration option. Is your debugger ready?

Additional InformationPlease Fix it asap.....
TagsNo tags attached.
Attached Files? file icon Net10.ned [^] (1,530 bytes) 2009-09-11 10:11

- Relationships

-  Notes
(0000146)
andras (administrator)
2009-04-26 18:27

The following patch fixes it (apply it in samples/routing/netbuilder/):

Index: netbuilder.cc
===================================================================
--- netbuilder.cc (revision 11019)
+++ netbuilder.cc (working copy)
@@ -55,10 +55,10 @@
 
 void NetBuilder::connect(cGate *src, cGate *dest, double delay, double ber, double datarate)
 {
- cChannel *channel = NULL;
+ cDatarateChannel *channel = NULL;
     if (delay>0 || ber>0 || datarate>0)
     {
- cDatarateChannel *channel = cDatarateChannel::create("channel");
+ channel = cDatarateChannel::create("channel");
         if (delay>0)
             channel->setDelay(delay);
         if (ber>0)
(0000174)
andras (administrator)
2009-09-11 10:15

The Net10 configuration also stops with a similar message; the cause of the problem is that no channel is specified for the connections in the network. The corrected NED is attached (Net10.ned; copy it to samples/routing/networks/). Other configurations of the Routing sample are OK.

- Issue History
Date Modified Username Field Change
2009-03-10 13:13 balag2004 New Issue
2009-03-10 13:13 balag2004 Assigned To => rhornig
2009-04-26 18:27 andras Note Added: 0000146
2009-04-26 18:27 andras Status new => resolved
2009-04-26 18:27 andras Fixed in Version => 4.1
2009-04-26 18:27 andras Resolution open => fixed
2009-05-08 15:40 andras Assigned To rhornig => andras
2009-09-11 10:11 andras File Added: Net10.ned
2009-09-11 10:15 andras Note Added: 0000174


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker